Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xpath.objects
Class XRTreeFragSelectWrapper

    java.lang.Object
      |
      +--weblogic.apache.xpath.Expression
            |
            +--weblogic.apache.xpath.objects.XObject
                  |
                  +--weblogic.apache.xpath.objects.XRTreeFrag
                        |
                        +--weblogic.apache.xpath.objects.XRTreeFragSelectWrapper

public class XRTreeFragSelectWrapper
extends XRTreeFrag
implements java.lang.Cloneable

This class makes an select statement act like an result tree fragment.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

See Also:
  Serialized Form

Fields inherited from class weblogic.apache.xpath.objects.XObject
`CLASS_BOOLEAN, CLASS_NODESET, CLASS_NULL, CLASS_NUMBER, CLASS_RTREEFRAG, CLASS_STRING, CLASS_UNKNOWN, CLASS_UNRESOLVEDVARIABLE, m_obj`

Fields inherited from class weblogic.apache.xpath.Expression
`m_slocator`

Constructor Summary
`XRTreeFragSelectWrapper(Expression expr)`

Method Summary
`weblogic.apache.xml.dtm.DTMIterator` | `asNodeIterator()` Cast result object to a DTMIterator.
`XObject` | `execute(XPathContext xctxt)` For support of literal objects in xpaths.
`void` | `fixupVariables(java.util.Vector vars, int globalsSize)` This function is used to fixup variables from QNames to stack frame indexes at stylesheet build time.
`int` | `getType()` Tell what kind of class this is.
`double` | `num()` Cast result object to a number.
`int` | `rtf()` Cast result object to a result tree fragment.
`java.lang.String` | `str()` Cast result object to a string.
`XMLString` | `xstr()` Cast result object to an XMLString.

Methods inherited from class weblogic.apache.xpath.objects.XRTreeFrag
`allowDetachToRelease, appendToFsb, bool, convertToNodeset, destruct, detach, equals, finalize, getTypeString, object`

Methods inherited from class weblogic.apache.xpath.objects.XObject
`boolWithSideEffects, castToType, create, create, dispatchCharactersEvents, error, error, greaterThan, greaterThanOrEqual, iter, lessThan, lessThanOrEqual, mutableNodeset, nodelist, nodeset, notEquals, numWithSideEffects, rtf, rtree, rtree, toString`

Methods inherited from class weblogic.apache.xpath.Expression
`asIterator, asNode, assertion, bool, canTraverseOutsideSubtree, error, execute, execute, executeCharsToContentHandler, isNodesetExpr, isStableNumber, num, setSourceLocator, warn, xstr`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XRTreeFragSelectWrapper

    public XRTreeFragSelectWrapper(Expression expr)

Method Detail

### fixupVariables

    public void fixupVariables(java.util.Vector vars,
                               int globalsSize)

  This function is used to fixup variables from QNames to stack frame indexes at stylesheet build time.

  Parameters:
    `vars` - List of QNames that correspond to variables. This list should be searched backwards for the first qualified name that corresponds to the variable reference qname. The position of the QName in the vector from the start of the vector will be its position in the stack frame (but variables above the globalsTop value will need to be offset to the current stack frame).
  Overrides:
    fixupVariables in class XObject

### execute

    public XObject execute(XPathContext xctxt)
                    throws javax.xml.transform.TransformerException

  For support of literal objects in xpaths.

  Parameters:
    `xctxt` - The XPath execution context.
  Returns:
    This object.
  Throws:
    javax.xml.transform.TransformerException -
  Overrides:
    execute in class XObject

### num

    public double num()
               throws javax.xml.transform.TransformerException

  Cast result object to a number.

  Returns:
    The result tree fragment as a number or NaN
  Overrides:
    num in class XRTreeFrag

### xstr

    public XMLString xstr()

  Cast result object to an XMLString.

  Returns:
    The document fragment node data or the empty string.
  Overrides:
    xstr in class XRTreeFrag

### str

    public java.lang.String str()

  Cast result object to a string.

  Returns:
    The document fragment node data or the empty string.
  Overrides:
    str in class XRTreeFrag

### getType

    public int getType()

  Tell what kind of class this is.

  Returns:
    type CLASS_RTREEFRAG
  Overrides:
    getType in class XRTreeFrag

### rtf

    public int rtf()

  Cast result object to a result tree fragment.

  Returns:
    The document fragment this wraps
  Overrides:
    rtf in class XRTreeFrag

### asNodeIterator

    public weblogic.apache.xml.dtm.DTMIterator asNodeIterator()

  Cast result object to a DTMIterator.

  Returns:
    The document fragment as a DTMIterator
  Overrides:
    asNodeIterator in class XRTreeFrag

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference